Subject: Re: bug#19972: 24.4; Font size change doesn't update (window-total-width)

From: Joost Kremers <[email-masked]>
Date: Mon, 02 Mar 2015 04:59:25 +0100

On Mon, Mar 02 2015, Eli Zaretskii <[email-masked]> wrote:
>> From: Joost Kremers <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 01 Mar 2015 21:43:35 +0100
>> 
>> > FWIW, I don't see a different value after evaluating the
>> > face-spec-recalc form, even if I start with a maximized frame.  What I
>> > see is a frame whose part is invisible because it is beyond the screen
>> > edges.  Which is what I'd expect.
>> 
>> On my system (Elementary OS, which is based on Ubuntu, but uses a
>> different graphical environment), the frame doesn't change its size.
>
> What is your window manager?

Gala: https://code.launchpad.net/~gala-dev/gala/trunk

>> Since the font size changes, there are fewer characters on a line,
>> which, AFAIU, should be reflected in the value returned by
>> `window-total-width'. 
>
> I think Emacs doesn't expect the frame size to remain unchanged in
> pixels.
>
> I asked about values returned by window-width in this scenario, can
> you provide them?

Sorry, forgot that. `window-width' doesn't have the same issue. On my
system, with a maximised Emacs frame (Emacs version 25.0.50.1), it
returns 236 before `custom-push-theme' + `face-spec-recalc', and 188
after it, even without doing `C-x 3' followed by `C-x 1'.

-- 
Joost Kremers
Life has its moments